#!/bin/bash            
### System Wakeup Hook by Curby
### v1.00.04, 2004-02-07


# This script is is just a skeleton around which a real system hook can be built.

HOOK_DEFAULTUSER=1

# Sources common hook functions
. /Library/Hooks/hookcommon.sh

LogLine "System Wake Up Hook {"

# Take care of users' hooks
for i in `ps -axo 'user,command' | grep loginwindow | grep -v grep | awk '{ print $1 }'`; do
  USERHOOK="/Users/$i/Library/Hooks/`basename $0`"
  if [ -x "$USERHOOK" ]; then
    LogLine "Calling $1's hook: $USERHOOK"
    sudo -u "$i" "$USERHOOK" "$i" "$HOOK_INDENT"
  else
    LogLine "Skipping $i's hook (missing or not executable)"
  fi
done

# Execute system hook commands after user hook commands



LogLine '}'

exit 0
